Bug 184761 - OOM kills when using cluster mirroring
OOM kills when using cluster mirroring
Status: CLOSED DEFERRED
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
GFS Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 03:03 EST by tulldata
Modified: 2013-09-23 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 11:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Logfiles and info (23.95 KB, text/plain)
2006-03-10 03:03 EST, tulldata
no flags Details
rpm's installed (19.25 KB, text/plain)
2006-03-10 03:05 EST, tulldata
no flags Details
More error logs (2.60 KB, text/plain)
2006-03-10 03:08 EST, tulldata
no flags Details

  None (edit)
Description tulldata 2006-03-10 03:03:18 EST
Description of problem: OOM kills when writing a lot to a clustermirrored device.


Version-Release number of selected component (if applicable):
RHEL4U3Beta

How reproducible:
Always

Steps to Reproduce:
1.Create a mirrored clvm volume
# pvcreate /dev/sda1 /dev/sda2 /dev/sdb1 /dev/sdb2
# vgcreate Data /dev/sda1 /dev/sda2 /dev/sdb1 /dev/sdb2
# lvcreate -m1 -l 7677 -n DataLV Data /dev/sda1 /dev/sdb1 /dev/sda2
# mkfs.ext3 ... mount...
# dd if=/dev/zero of=/mountpoint/file bs=1024000

2.
3.
  
Actual results:
OOM kills start to occure approx. when writing has exeeded the amount of
internal memory.

Expected results:
No OOM kills

Additional info:
Attaching messages and some other info.
Comment 1 tulldata 2006-03-10 03:03:18 EST
Created attachment 125933 [details]
Logfiles and info
Comment 2 tulldata 2006-03-10 03:05:38 EST
Created attachment 125934 [details]
rpm's installed

Rpm's installed
Comment 3 tulldata 2006-03-10 03:08:36 EST
Created attachment 125935 [details]
More error logs

More error logs
Comment 4 Jonathan Earl Brassow 2006-07-12 12:22:51 EDT
Many fixes have gone into (cluster) mirroring for the RHEL4 U4 update.

I haven't been able to run into this problem myself, but I would be interested
to know if it can still be hit with the RHEL4 U4 code base.
Comment 5 Jonathan Earl Brassow 2006-08-07 16:03:16 EDT
marking modified to draw more attention
Comment 7 Lon Hohberger 2013-09-23 11:32:09 EDT
The Red Hat Cluster Suite product is past end-of-life; closing.

Note You need to log in before you can comment on or make changes to this bug.